Package com.opensymphony.module.sitemesh.filter

# Class PageRequestWrapper

java.lang.Object
javax.servlet.ServletRequestWrapper
javax.servlet.http.HttpServletRequestWrapper
com.opensymphony.module.sitemesh.filter.PageRequestWrapper

All Implemented Interfaces:
  `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

public class PageRequestWrapper extends javax.servlet.http.HttpServletRequestWrapper
Will wrap a request for the `RequestDispatcherWrapper`.

Version:
  $Revision: 1.4 $
Author:
  Joseph B. Ottinger

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final boolean`
`SUPPRESS_IF_MODIFIED_HEADER`

### Fields inherited from interface javax.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Constructor Summary

Constructors
Constructor
Description
`PageRequestWrapper(javax.servlet.http.HttpServletRequest request)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHeader(String string)`
`javax.servlet.RequestDispatcher`
`getRequestDispatcher(String s)`

### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

`authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from class javax.servlet.ServletRequestWrapper

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

## Field Details

### SUPPRESS_IF_MODIFIED_HEADER

private static final boolean SUPPRESS_IF_MODIFIED_HEADER

See Also:
  - Constant Field Values

## Constructor Details

### PageRequestWrapper

public PageRequestWrapper(javax.servlet.http.HttpServletRequest request)

## Method Details

### getRequestDispatcher

public javax.servlet.RequestDispatcher getRequestDispatcher(String s)

Specified by:
  `getRequestDispatcher` in interface `javax.servlet.ServletRequest`
Overrides:
  `getRequestDispatcher` in class `javax.servlet.ServletRequestWrapper`

### getHeader

public String getHeader(String string)

Specified by:
  `getHeader` in interface `javax.servlet.http.HttpServletRequest`
Overrides:
  `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`